Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515391 - [RFE] Allow satellite-clone to skip/resume some tasks
Summary: [RFE] Allow satellite-clone to skip/resume some tasks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Satellite Clone
Version: 6.2.12
Hardware: All
OS: Linux
unspecified
medium vote
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 17:45 UTC by Christian Marineau
Modified: 2019-04-12 15:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-19 17:23:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0330 normal SHIPPED_LIVE Satellite Maintenance bug fix update 2018-02-19 22:22:51 UTC

Description Christian Marineau 2017-11-20 17:45:49 UTC
Description of problem:
When using satellite-clone to restore a large Satellite installation, you may encounter any random issue (which could be external to satellite-clone or not) that will interrupt the ansible run with an error. This requires that you fix the issue and start the satellite-clone again.

As some steps are very long, we would like to have a way a clean way to skip the tasks that were successful, so that the restoration process is resuming only the required steps.

Actual results:
There is no clean way to resume satellite-clone so we need to restart the whole process.

Expected results:
Have a way to skip some task, or have the script to be already aware of the successful previous step.

Comment 1 John Mitsch 2017-11-20 17:56:46 UTC
This is actually coming in satellite-clone 1.2.0, you can use --start-at-task and resume from any task. The facts are cache so you won't have to rerun the full playbook

Comment 2 Christian Marineau 2017-11-23 14:39:52 UTC
(In reply to John Mitsch from comment #1)
> This is actually coming in satellite-clone 1.2.0, you can use
> --start-at-task and resume from any task. The facts are cache so you won't
> have to rerun the full playbook

Hi,

This is good news! Can we link this BZ with the upstream project somehow so we can track it accordingly?

Thanks

-Christian

Comment 3 John Mitsch 2017-11-28 15:14:02 UTC
We don't have a way to link up upstream issues and downstream BZs (I'm handing it manually), but the PR is here https://github.com/RedHatSatellite/satellite-clone/pull/245

Comment 4 John Mitsch 2017-12-18 14:45:03 UTC
This can be found in 1.2.0

Comment 5 Peter Ondrejka 2017-12-19 11:32:51 UTC
Verified with Maintenance 6, satellite-clone now allows to pick a task to start with and to interactively skip tasks, e.g.:

~]# satellite-clone --start-at-task "Check full backup is present" --step

This will initiate satellite-clone. Do you want to proceed? (y/n): y
ansible-playbook -i /usr/share/satellite-clone/inventory --start-at-task Check full backup is present --step /usr/share/satellite-clone/satellite-clone-playbook.yml

PLAY [satellite6] ******************************************************************************************************************************************
Perform task: TASK: satellite-clone : Check full backup is present (N)o/(y)es/(c)ontinue: y
...

Comment 8 errata-xmlrpc 2018-02-19 17:23:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0330


Note You need to log in before you can comment on or make changes to this bug.